Subject: [lamps] I-D Action: draft-ietf-lamps-rfc7030est-clarify-05.txt

From: [email-masked]
Date: Wed, 06 May 2020 07:27:07 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Limited Additional Mechanisms for PKIX and SMIME WG of the IETF.

        Title           : Clarification of Enrollment over Secure Transport (EST): transfer encodings and ASN.1
        Authors         : Michael Richardson
                          Thomas Werner
                          Wei Pan
	Filename        : draft-ietf-lamps-rfc7030est-clarify-05.txt
	Pages           : 12
	Date            : 2020-05-06

Abstract:
   This document updates RFC7030: Enrollment over Secure Transport (EST)
   to resolve some errata that was reported, and which has proven to
   cause interoperability issues when RFC7030 was extended.

   This document deprecates the specification of "Content-Transfer-
   Encoding" headers for EST endpoints.  This document fixes some
   syntactical errors in ASN.1 that was presented.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-lamps-rfc7030est-clarify/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-lamps-rfc7030est-clarify-05
https://datatracker.ietf.org/doc/html/draft-ietf-lamps-rfc7030est-clarify-05

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-lamps-rfc7030est-clarify-05

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Russ Housley <[email-masked]>
Date: Wed, 6 May 2020 10:33:49 -0400

Michael:

Thanks for the updates.  I really like Appendix B.  No need to make another updates, but I want to share how I have resolved that problem in the past.

~~~
Appendix A.  ASN.1 Module

   This annex provides the normative ASN.1 definitions for the
   structures described in this specification using ASN.1 as defined in
   [X680] through [X683].

   The ASN.1 modules makes imports from the ASN.1 modules in
   [RFC5212] and [RFC6268].

   There is no ASN.1 Module in RFC 7030.  This module has been created
   by combining the lines that are contained in the document body.

   ...
~~~

Enjoy,
  Russ

> On May 6, 2020, at 10:27 AM, [email-masked] wrote:
> 
> 
> _______________________________________________
> Spasm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/spasm

---

From: Michael Richardson <[email-masked]>
Date: Wed, 06 May 2020 12:48:30 -0400

Russ Housley <[email-masked]> wrote:
    > Thanks for the updates.  I really like Appendix B.  No need to make
    > another updates, but I want to share how I have resolved that problem
    > in the past.

Thanks.  I like your wording, and I have put in the document for next
update.

I still have the errata as normative reference.
So far two ADs say normative, two say informative and Barry wants no reference.
No answer from RFC-editor on their preference.
I invoke Cunningshams' Law and leave it as it "wrong" so that someone will
object.

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-